#include "Interrupt.h"
#include <signal.h>
#include <stdio.h>
#include <unistd.h>

void Interrupt_SetSignal(int sig, Interrupt *interrupt)
{
	interrupt->Source = sig; 
	switch (interrupt->Source)
	{
		case -1:
			//ignore all
			signal(AINT, SIG_IGN);
			break;
		case 0:
			//restore default to all
			signal(AINT, SIG_DFL);
			break;
		case AINT:
			signal(AINT, interrupt->func);

			break;
	}
}
void Interrupt_SetISR(void (*isr)(int), Interrupt *interrupt)
{
	interrupt->func = isr;
}